Skip to content
Get started

List all data sources for an SLA. There is never more than one status page source, and the monitor data sources are sorted alphabetically by name (case-insensitive).

GET/v1/slas/{sla_urn}/data-sources

List all data sources for an SLA. There is never more than one status page source, and the monitor data sources are sorted alphabetically by name (case-insensitive).

Path ParametersExpand Collapse
sla_urn: string
ReturnsExpand Collapse
monitor_data_sources: array of object { description, name, urn, data_source_type }

A list of any monitor data sources associated with the SLA

description: string

The monitor's description

name: string

The monitor's display name

urn: string

A unique identifier for the data source

data_source_type: optional "MONITOR"

The type of the data source

sla_urn: string

A unique identifier for the SLA associated with this data source

status_page_data_source: object { excluded_product_tags, included_product_tags, urn, data_source_type }

The SLA's data source for incidents pulled from vendor status pages, if applicable

excluded_product_tags: array of string

A list of incident tags that are excluded from the SLA's calculations

included_product_tags: array of string

A list of incident tags that are included in the SLA's calculations

urn: string

A unique identifier for the data source

data_source_type: optional "STATUS_PAGE"

The type of the data source

vendor_urn: string

A unique identifier for the vendor associated with this data source

List all data sources for an SLA. There is never more than one status page source, and the monitor data sources are sorted alphabetically by name (case-insensitive).

curl https://developer.clarative.ai/v1/slas/$SLA_URN/data-sources \
    -H "Authorization: Bearer $CLARATIVE_API_KEY"
{
  "monitor_data_sources": [
    {
      "description": "description",
      "name": "name",
      "urn": "urn",
      "data_source_type": "MONITOR"
    }
  ],
  "sla_urn": "sla_urn",
  "status_page_data_source": {
    "excluded_product_tags": [
      "string"
    ],
    "included_product_tags": [
      "string"
    ],
    "urn": "urn",
    "data_source_type": "STATUS_PAGE"
  },
  "vendor_urn": "vendor_urn"
}
Returns Examples
{
  "monitor_data_sources": [
    {
      "description": "description",
      "name": "name",
      "urn": "urn",
      "data_source_type": "MONITOR"
    }
  ],
  "sla_urn": "sla_urn",
  "status_page_data_source": {
    "excluded_product_tags": [
      "string"
    ],
    "included_product_tags": [
      "string"
    ],
    "urn": "urn",
    "data_source_type": "STATUS_PAGE"
  },
  "vendor_urn": "vendor_urn"
}